# VectorNav C++ Library: vn::sensors::YawPitchRollTrueBodyAccelerationAndAngularRatesRegister Struct Reference

vn::sensors::YawPitchRollTrueBodyAccelerationAndAngularRatesRegister Struct Reference
Register Structures

Structure representing the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register. More...

`#include <registers.h>`

## Public Member Functions

| YawPitchRollTrueBodyAccelerationAndAngularRatesRegister (vn::math::vec3f yawPitchRollIn, vn::math::vec3f bodyAccelIn, vn::math::vec3f gyroIn)
| Creates an initializes a new YawPitchRollTrueBodyAccelerationAndAngularRatesRegister structure. More...

## Public Attributes

vn::math::vec3f | yawPitchRoll
| The yawPitchRoll field.
vn::math::vec3f | bodyAccel
| The bodyAccel field.
vn::math::vec3f | gyro
| The gyro field.

## Detailed Description

Structure representing the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register.

## Constructor & Destructor Documentation

vn::sensors::YawPitchRollTrueBodyAccelerationAndAngularRatesRegister::YawPitchRollTrueBodyAccelerationAndAngularRatesRegister | ( | vn::math::vec3f | yawPitchRollIn,
|  | vn::math::vec3f | bodyAccelIn,
|  | vn::math::vec3f | gyroIn
| ) |  |

inline

Creates an initializes a new YawPitchRollTrueBodyAccelerationAndAngularRatesRegister structure.

Parameters

  [in] | yawPitchRollIn | Value to initialize the yawPitchRoll field with.
  [in] | bodyAccelIn | Value to initialize the bodyAccel field with.
  [in] | gyroIn | Value to initialize the gyro field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h